arfrever 10/05/02 16:41:20
Modified: python-2.4.6.ebuild python-2.5.4-r4.ebuild
python-2.6.5-r2.ebuild
Log:
Synchronize ebuilds.
(Portage version: HEAD/cvs/Linux x86_64)
Revision Changes Path
1.33 dev-lang/python/python-2.4.6.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.4.6.ebuild?rev=1.33&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.4.6.ebuild?rev=1.33&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.4.6.ebuild?r1=1.32&r2=1.33
Index: python-2.4.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.4.6.ebuild,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -r1.32 -r1.33
--- python-2.4.6.ebuild 20 Mar 2010 20:33:28 -0000 1.32
+++ python-2.4.6.ebuild 2 May 2010 16:41:19 -0000 1.33
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.4.6.ebuild,v 1.32 2010/03/20 20:33:28 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.4.6.ebuild,v 1.33 2010/05/02 16:41:19 arfrever Exp $
EAPI="1"
@@ -59,6 +59,9 @@
unpack ${A}
cd "${S}"
+ # Ensure that internal copy of expat is not used.
+ rm -fr Modules/expat
+
if tc-is-cross-compiler; then
epatch "${FILESDIR}/python-2.4.4-test-cross.patch"
else
@@ -175,7 +178,7 @@
}
src_test() {
- # Tests won't work when cross compiling.
+ # Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
@@ -206,13 +209,15 @@
done
elog "If you'd like to run them, you may:"
- elog "cd $(python_get_libdir)/test"
+ elog "cd '${EPREFIX}$(python_get_libdir)/test'"
elog "and run the tests separately."
python_disable_pyc
}
src_install() {
+ [[ -z "${ED}" ]] && ED="${D%/}${EPREFIX}/"
+
emake DESTDIR="${D}" altinstall maninstall || die "emake altinstall maninstall failed"
# Install our own custom python-config
@@ -223,33 +228,35 @@
dosed "s:/usr/lib/:/usr/$(get_libdir)/:" /usr/bin/python-config-${SLOT}
# Fix collisions between different slots of Python.
- mv "${D}usr/bin/pydoc" "${D}usr/bin/pydoc${SLOT}"
- mv "${D}usr/bin/idle" "${D}usr/bin/idle${SLOT}"
- mv "${D}usr/share/man/man1/python.1" "${D}usr/share/man/man1/python${SLOT}.1"
- rm -f "${D}usr/bin/smtpd.py"
+ mv "${ED}usr/bin/pydoc" "${ED}usr/bin/pydoc${SLOT}"
+ mv "${ED}usr/bin/idle" "${ED}usr/bin/idle${SLOT}"
+ mv "${ED}usr/share/man/man1/python.1" "${ED}usr/share/man/man1/python${SLOT}.1"
+ rm -f "${ED}usr/bin/smtpd.py"
# Fix the OPT variable so that it doesn't have any flags listed in it.
# Prevents the problem with compiling things with conflicting flags later.
- sed -e "s:^OPT=.*:OPT=\t\t-DNDEBUG:" -i "${D}$(python_get_libdir)/config/Makefile"
+ sed -e "s:^OPT=.*:OPT=\t\t-DNDEBUG:" -i "${ED}$(python_get_libdir)/config/Makefile"
# Python 2.4 partially doesn't respect $(get_libdir).
if use build; then
- rm -fr "${D}usr/bin/idle${SLOT}" "${D}"usr/lib*/python${SLOT}/{bsddb,idlelib,lib-tk,test}
+ rm -fr "${ED}usr/bin/idle${SLOT}" "${ED}"usr/lib*/python${SLOT}/{bsddb,idlelib,lib-tk,test}
else
- use elibc_uclibc && rm -fr "${D}"usr/lib*/python${SLOT}/{bsddb/test,test}
- use berkdb || rm -fr "${D}"usr/lib*/python${SLOT}/{bsddb,test/test_bsddb*}
- use tk || rm -fr "${D}usr/bin/idle${SLOT}" "${D}"usr/lib*/python${SLOT}/{idlelib,lib-tk}
+ use elibc_uclibc && rm -fr "${ED}"usr/lib*/python${SLOT}/{bsddb/test,test}
+ use berkdb || rm -fr "${ED}"usr/lib*/python${SLOT}/{bsddb,test/test_bsddb*}
+ use tk || rm -fr "${ED}usr/bin/idle${SLOT}" "${ED}"usr/lib*/python${SLOT}/{idlelib,lib-tk}
fi
prep_ml_includes $(python_get_includedir)
+ dodoc Misc/{ACKS,HISTORY,NEWS} || die "dodoc failed"
+
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins -r "${S}/Tools" || die "doins failed"
fi
- newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT}
- newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT}
+ newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT} || die "newinitd failed"
+ newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT} || die "newconfd failed"
}
pkg_preinst() {
1.16 dev-lang/python/python-2.5.4-r4.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild?rev=1.16&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild?rev=1.16&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild?r1=1.15&r2=1.16
Index: python-2.5.4-r4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- python-2.5.4-r4.ebuild 20 Mar 2010 20:33:28 -0000 1.15
+++ python-2.5.4-r4.ebuild 2 May 2010 16:41:19 -0000 1.16
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild,v 1.15 2010/03/20 20:33:28 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.5.4-r4.ebuild,v 1.16 2010/05/02 16:41:19 arfrever Exp $
EAPI="1"
@@ -22,7 +22,7 @@
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="-berkdb build doc elibc_uclibc examples gdbm ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
-# NOTE: dev-python/{elementtree,celementtree,pysqlite,ctypes}
+# NOTE: dev-python/{elementtree,celementtree,pysqlite}
# do not conflict with the ones in python proper. - liquidx
RDEPEND=">=app-admin/eselect-python-20091230
@@ -70,9 +70,10 @@
unpack ${A}
cd "${S}"
- # Ensure that internal copies of expat and libffi aren't used.
+ # Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat
rm -fr Modules/_ctypes/libffi*
+ rm -fr Modules/zlib
if tc-is-cross-compiler; then
epatch "${FILESDIR}/python-2.5-cross-printf.patch"
@@ -189,7 +190,7 @@
}
src_test() {
- # Tests won't work when cross compiling.
+ # Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
@@ -224,45 +225,49 @@
done
elog "If you'd like to run them, you may:"
- elog "cd $(python_get_libdir)/test"
+ elog "cd '${EPREFIX}$(python_get_libdir)/test'"
elog "and run the tests separately."
python_disable_pyc
}
src_install() {
+ [[ -z "${ED}" ]] && ED="${D%/}${EPREFIX}/"
+
emake DESTDIR="${D}" altinstall maninstall || die "emake altinstall maninstall failed"
- mv "${D}usr/bin/python${SLOT}-config" "${D}usr/bin/python-config-${SLOT}"
+ mv "${ED}usr/bin/python${SLOT}-config" "${ED}usr/bin/python-config-${SLOT}"
# Fix collisions between different slots of Python.
- mv "${D}usr/bin/pydoc" "${D}usr/bin/pydoc${SLOT}"
- mv "${D}usr/bin/idle" "${D}usr/bin/idle${SLOT}"
- mv "${D}usr/share/man/man1/python.1" "${D}usr/share/man/man1/python${SLOT}.1"
- rm -f "${D}usr/bin/smtpd.py"
+ mv "${ED}usr/bin/pydoc" "${ED}usr/bin/pydoc${SLOT}"
+ mv "${ED}usr/bin/idle" "${ED}usr/bin/idle${SLOT}"
+ mv "${ED}usr/share/man/man1/python.1" "${ED}usr/share/man/man1/python${SLOT}.1"
+ rm -f "${ED}usr/bin/smtpd.py"
# Fix the OPT variable so that it doesn't have any flags listed in it.
# Prevents the problem with compiling things with conflicting flags later.
- sed -e "s:^OPT=.*:OPT=\t\t-DNDEBUG:" -i "${D}$(python_get_libdir)/config/Makefile"
+ sed -e "s:^OPT=.*:OPT=\t\t-DNDEBUG:" -i "${ED}$(python_get_libdir)/config/Makefile"
if use build; then
- rm -fr "${D}usr/bin/idle${SLOT}" "${D}$(python_get_libdir)/"{bsddb,idlelib,lib-tk,sqlite3,test}
+ rm -fr "${ED}usr/bin/idle${SLOT}" "${ED}$(python_get_libdir)/"{bsddb,idlelib,lib-tk,sqlite3,test}
else
- use elibc_uclibc && rm -fr "${D}$(python_get_libdir)/"{bsddb/test,test}
- use berkdb || rm -fr "${D}$(python_get_libdir)/"{bsddb,test/test_bsddb*}
- use sqlite || rm -fr "${D}$(python_get_libdir)/"{sqlite3,test/test_sqlite*}
- use tk || rm -fr "${D}usr/bin/idle${SLOT}" "${D}$(python_get_libdir)/"{idlelib,lib-tk}
+ use elibc_uclibc && rm -fr "${ED}$(python_get_libdir)/"{bsddb/test,test}
+ use berkdb || rm -fr "${ED}$(python_get_libdir)/"{bsddb,test/test_bsddb*}
+ use sqlite || rm -fr "${ED}$(python_get_libdir)/"{sqlite3,test/test_sqlite*}
+ use tk || rm -fr "${ED}usr/bin/idle${SLOT}" "${ED}$(python_get_libdir)/"{idlelib,lib-tk}
fi
prep_ml_includes $(python_get_includedir)
+ dodoc Misc/{ACKS,HISTORY,NEWS} || die "dodoc failed"
+
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins -r "${S}/Tools" || die "doins failed"
fi
- newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT}
- newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT}
+ newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT} || die "newinitd failed"
+ newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT} || die "newconfd failed"
}
pkg_preinst() {
1.3 dev-lang/python/python-2.6.5-r2.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild?r1=1.2&r2=1.3
Index: python-2.6.5-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- python-2.6.5-r2.ebuild 1 May 2010 22:25:51 -0000 1.2
+++ python-2.6.5-r2.ebuild 2 May 2010 16:41:19 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild,v 1.2 2010/05/01 22:25:51 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.5-r2.ebuild,v 1.3 2010/05/02 16:41:19 arfrever Exp $
EAPI="2"
@@ -180,10 +180,6 @@
--with-system-ffi
}
-src_compile() {
- emake EXTRA_CFLAGS="${CFLAGS}" || die "emake failed"
-}
-
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
@@ -219,7 +215,7 @@
done
elog "If you would like to run them, you may:"
- elog "cd ${EPREFIX}$(python_get_libdir)/test"
+ elog "cd '${EPREFIX}$(python_get_libdir)/test'"
elog "and run the tests separately."
python_disable_pyc
@@ -252,13 +248,15 @@
prep_ml_includes $(python_get_includedir)
+ dodoc Misc/{ACKS,HISTORY,NEWS} || die "dodoc failed"
+
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins -r "${S}/Tools" || die "doins failed"
fi
- newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT}
- newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT}
+ newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT} || die "newinitd failed"
+ newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT} || die "newconfd failed"
# Do not install empty directory.
rmdir "${ED}$(python_get_libdir)/lib-old"
|